Prompts
Retrieve a prompt
Retrieves a prompt object
GET
/
v2
/
prompts
/
{id}
Retrieve a prompt
curl --request GET \
--url https://api.orq.ai/v2/prompts/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.orq.ai/v2/prompts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.orq.ai/v2/prompts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"_id": "<string>",
"type": "prompt",
"owner": "<string>",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "<string>",
"updated": "<string>",
"display_name": "<string>",
"prompt": {
"name": "<string>",
"audio": {},
"frequency_penalty": 123,
"max_tokens": 123,
"max_completion_tokens": 123,
"logprobs": true,
"top_logprobs": 10,
"n": 2,
"presence_penalty": 123,
"response_format": {
"type": "text"
},
"verbosity": "<string>",
"seed": 123,
"stop": "<string>",
"stream_options": {
"include_usage": true
},
"thinking": {
"type": "disabled"
},
"temperature": 1,
"top_p": 0.5,
"top_k": 123,
"parallel_tool_calls": true,
"modalities": [],
"guardrails": [
{}
],
"fallbacks": [
{
"model": "openai/gpt-4o-mini"
}
],
"retry": {
"count": 3,
"on_codes": [
429,
500,
502,
503,
504
]
},
"cache": {
"type": "exact_match",
"ttl": 3600
},
"load_balancer": {
"type": "weight_based",
"models": [
{
"model": "openai/gpt-4o",
"weight": 0.7
},
{
"model": "anthropic/claude-3-5-sonnet",
"weight": 0.3
}
]
},
"timeout": {
"call_timeout": 30000
},
"cache_control": {
"type": "ephemeral",
"ttl": "5m"
},
"prompt_cache_key": "<string>",
"messages": [
{
"role": "system",
"content": "<string>",
"name": "<string>"
}
],
"model": "openai/gpt-4o",
"version": "<string>"
},
"created_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"prompt_config": {
"messages": [
{
"content": "<string>",
"tool_calls": [
{
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
},
"id": "<string>",
"index": 123
}
],
"tool_call_id": "<string>"
}
],
"stream": true,
"model": "<string>",
"model_db_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_parameters": {
"temperature": 123,
"maxTokens": 123,
"topK": 123,
"topP": 123,
"frequencyPenalty": 123,
"presencePenalty": 123,
"numImages": 123,
"seed": 123,
"dimensions": "<string>",
"quality": "<string>",
"style": "<string>",
"responseFormat": {
"type": "json_schema",
"json_schema": {
"name": "<string>",
"schema": {},
"description": "<string>",
"strict": true
},
"display_name": "<string>"
},
"cacheControl": {
"type": "ephemeral",
"ttl": "5m"
},
"budgetTokens": 123
},
"integration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": "<string>"
},
"metadata": {
"language": "English"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the prompt
Response
200 - application/json
Prompt retrieved.
A prompt entity with configuration, metadata, and versioning.
Available options:
prompt The prompt’s name, meant to be displayable in the UI.
Maximum string length:
128Prompt configuration with model and messages. Use this instead of prompt_config.
Show child attributes
Show child attributes
The prompt’s description, meant to be displayable in the UI. Use this field to optionally store a long form explanation of the prompt for your own purpose
[DEPRECATED] Use the prompt property instead. A list of messages compatible with the openAI schema.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Retrieve a prompt
curl --request GET \
--url https://api.orq.ai/v2/prompts/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.orq.ai/v2/prompts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.orq.ai/v2/prompts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"_id": "<string>",
"type": "prompt",
"owner": "<string>",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "<string>",
"updated": "<string>",
"display_name": "<string>",
"prompt": {
"name": "<string>",
"audio": {},
"frequency_penalty": 123,
"max_tokens": 123,
"max_completion_tokens": 123,
"logprobs": true,
"top_logprobs": 10,
"n": 2,
"presence_penalty": 123,
"response_format": {
"type": "text"
},
"verbosity": "<string>",
"seed": 123,
"stop": "<string>",
"stream_options": {
"include_usage": true
},
"thinking": {
"type": "disabled"
},
"temperature": 1,
"top_p": 0.5,
"top_k": 123,
"parallel_tool_calls": true,
"modalities": [],
"guardrails": [
{}
],
"fallbacks": [
{
"model": "openai/gpt-4o-mini"
}
],
"retry": {
"count": 3,
"on_codes": [
429,
500,
502,
503,
504
]
},
"cache": {
"type": "exact_match",
"ttl": 3600
},
"load_balancer": {
"type": "weight_based",
"models": [
{
"model": "openai/gpt-4o",
"weight": 0.7
},
{
"model": "anthropic/claude-3-5-sonnet",
"weight": 0.3
}
]
},
"timeout": {
"call_timeout": 30000
},
"cache_control": {
"type": "ephemeral",
"ttl": "5m"
},
"prompt_cache_key": "<string>",
"messages": [
{
"role": "system",
"content": "<string>",
"name": "<string>"
}
],
"model": "openai/gpt-4o",
"version": "<string>"
},
"created_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"prompt_config": {
"messages": [
{
"content": "<string>",
"tool_calls": [
{
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
},
"id": "<string>",
"index": 123
}
],
"tool_call_id": "<string>"
}
],
"stream": true,
"model": "<string>",
"model_db_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_parameters": {
"temperature": 123,
"maxTokens": 123,
"topK": 123,
"topP": 123,
"frequencyPenalty": 123,
"presencePenalty": 123,
"numImages": 123,
"seed": 123,
"dimensions": "<string>",
"quality": "<string>",
"style": "<string>",
"responseFormat": {
"type": "json_schema",
"json_schema": {
"name": "<string>",
"schema": {},
"description": "<string>",
"strict": true
},
"display_name": "<string>"
},
"cacheControl": {
"type": "ephemeral",
"ttl": "5m"
},
"budgetTokens": 123
},
"integration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": "<string>"
},
"metadata": {
"language": "English"
}
}